unit Form;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfmForm = class(TForm)
    lbl1: TLabel;
    lbl2: TLabel;
    lbl3: TLabel;
    edt1: TEdit;
    edt2: TEdit;
    edt3: TEdit;
    Btn1: TButton;
    procedure Btn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmForm: TfmForm;

implementation

uses dmu, Main;

{$R *.dfm}

procedure TfmForm.Btn1Click(Sender: TObject);
begin
  try
  dm.tbl3.Append;
  dm.tbl3.FieldByName('Фамилия').AsString:=fmForm.edt1.text;
  dm.tbl3.FieldByName('Имя').AsString:=fmForm.edt2.text;
  dm.tbl3.FieldByName('Отчество').AsString:=fmForm.edt3.text;
 
  dm.tbl3.FieldByName('Результат').AsInteger:=0;
  dm.tbl3.FieldByName('Дата').AsDateTime:=Date;
  dm.tbl3.FieldByName('Время').AsInteger:=0;
  dm.tbl3.FieldByName('Неправильные ответы').AsString:='';
  dm.tbl3.FieldByName('Доступ').AsBoolean:=false;
  dm.tbl3.Post;
  except
  ShowMessage('Проверьте введенные данные на верность!');
  end;
fmForm.Close;
fmMain.tmr1.Enabled:=True;
myThread.Resume;
fmMain.Btn3.Enabled:=false;
end;

end.
